
QGIS Application - Bug report #20706

Raster Calculator on ecw

2018-12-03 03:43 PM - Cliff Lau

Status: Closed

Priority: Normal

Assignee:

Category: Raster Calculator

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28526

Description

User Feedback

I have a ecw raster data and want to recalculate the value of one of the 3 bands.

the formular is band1*0+1 and export to en tiff.

After calculating for a while (ca.1 minute) QGIS crashes...

Report Details

Crash ID: 751a7db81f136c119614e33d61116d9a1ee5f111

Stack Trace

NCS::CBufferedIOStream::Write :

NCS::SDK::CBuffer2D::Convert :

get_qmf_tree_nr_blocks :

NCS::ECW::CReader::ReadLine :

NCS::CView::ReadLineBILInternal :

NCS::CView::ReadLineBILInternal :

NCS::CView::ReadLineBIL :

ECWDataset::ReadBandsDirectly :

ECWDataset::ReadBands :

ECWDataset::IRasterIO :

ECWDataset::AdviseRead :

GDALRasterBand::RasterIO :

GDALWarpOperation::operator= :

GDALWarpOperation::operator= :

QgsRasterCalculator::processCalculation :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Getal :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_sip :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::shrink_to_fit :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> >

>::~_String_alloc<std::_String_base_types<char,std::allocator<char> > > :

QgsProcessingAlgorithm::runPrepared :

QgsProcessingAlgRunnerTask::run :

PyInit__core :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.14393

History

#1 - 2018-12-03 04:07 PM - Alessandro Pasotti

- Status changed from Open to Feedback

There have been substancial changes and bug fixes to raster calculator during the last few days (latest one was merged into master a few hours ago), I'd

appreciate if you could test a nightly build of the master branch and give us some feed-back if the issue has been solved.

#2 - 2018-12-07 11:53 AM - Cliff Lau

Thanks for reply. I tested it in 3.4.2 Nightly version but unfortunately QGIS does not accept ecw as a valid raster data.  I also downloaded 3.4.2 ordinary

version and I still cannot use raster calculator for my ecw.

#3 - 2018-12-07 02:12 PM - Giovanni Manghi

Cliff Lau wrote:

Thanks for reply. I tested it in 3.4.2 Nightly version but unfortunately QGIS does not accept ecw as a valid raster data.  I also downloaded 3.4.2

ordinary version and I still cannot use raster calculator for my ecw.

libraries to read ECWs are proprietary and closed source, so cannot be added to the standalone installer of QGIS.

You must install them using the Osgeo4w Installer (are optional), then you have to copy the proper DLLs in your standalone installation folder.

#4 - 2018-12-07 04:33 PM - Jürgen Fischer

- Operating System changed from Window 10 to Windows 10

Giovanni Manghi wrote:

libraries to read ECWs are proprietary and closed source, so cannot be added to the standalone installer of QGIS.

You must install them using the Osgeo4w Installer (are optional), then you have to copy the proper DLLs in your standalone installation folder.

ecw is included in the windows standalone (and the stacktrace is evidence for that - ECWDataset is in GDAL - NCS::CView::ReadLineBIL in the SDK).
#5 - 2018-12-07 04:40 PM - Giovanni Manghi

ecw is included in the windows standalone (and the stacktrace is evidence for that - ECWDataset is in GDAL - NCS::CView::ReadLineBIL in the

SDK).

weird, I was under the assumption that it was not included in the standalone.

#6 - 2018-12-07 04:48 PM - Jürgen Fischer

Giovanni Manghi wrote:

ecw is included in the windows standalone (and the stacktrace is evidence for that - ECWDataset is in GDAL - NCS::CView::ReadLineBIL in the

SDK).

weird, I was under the assumption that it was not included in the standalone.

It's optional, so you can leave it out on OSGeo4W - but it's included in the standalone.  And I don't see a reason why it would be ok to have it in OSGeo4W,

but not in the standalone.

#7 - 2018-12-07 05:06 PM - Giovanni Manghi

Jürgen Fischer wrote:

Giovanni Manghi wrote:

ecw is included in the windows standalone (and the stacktrace is evidence for that - ECWDataset is in GDAL - NCS::CView::ReadLineBIL in the

SDK).

weird, I was under the assumption that it was not included in the standalone.

but it's included in the standalone.

really weird, ecw has never worked for me on standalones (never seen the format listed among the supported ones).

#8 - 2018-12-07 05:40 PM - Alessandro Pasotti

I've just tested raster calculator with an ECW on Windows nightly from OSGEO4W with Intel OpenCL driver and it works like a charm.

#9 - 2019-02-24 01:21 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
